Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Class Any

    java.lang.Object
      org.apache.openjpa.kernel.exps.Val
          org.apache.openjpa.kernel.exps.UnaryMathVal
              org.apache.openjpa.kernel.exps.Any

All Implemented Interfaces:
  Serializable, Value

     class Any

extends UnaryMathVal

In-memory Any implementation. Currently unsupported since in-memory subqueries are not supported.

Author:
  Marc Prud'hommeaux

Constructor Summary
`Any(Val val)`

Method Summary
`protected Class` | `getType(Class c)` Return the type of this value based on the numeric type being operated on.
`protected Object` | `operate(Object o, Class c)` Return the result of this mathematical operation on the given value.

Methods inherited from class org.apache.openjpa.kernel.exps.UnaryMathVal
`acceptVisit, eval, getType, setImplicitType`

Methods inherited from class org.apache.openjpa.kernel.exps.Val
`eval, evaluate, evaluate, getAlias, getMetaData, getName, getPath, getSelectAs, isAggregate, isVariable, isXPath, setAlias, setMetaData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Any

    public Any(Val val)

Method Detail

### getType

    protected Class getType(Class c)

  Description copied from class: `UnaryMathVal`
  Return the type of this value based on the numeric type being operated on.

  Specified by:
    `getType` in class `UnaryMathVal`

### operate

    protected Object operate(Object o,
                             Class c)

  Description copied from class: `UnaryMathVal`
  Return the result of this mathematical operation on the given value.

  Specified by:
    `operate` in class `UnaryMathVal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.